Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.inference.dig.exception
Class DIGErrorException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              edu.stanford.smi.protegex.owl.inference.reasoner.exception.ProtegeReasonerException
                  edu.stanford.smi.protegex.owl.inference.dig.exception.DIGReasonerException
                      edu.stanford.smi.protegex.owl.inference.dig.exception.DIGErrorException

All Implemented Interfaces:
  Serializable

    public class DIGErrorException

extends DIGReasonerException

User: matthewhorridge
The Univeristy Of Manchester
Medical Informatics Group
Date: Jun 14, 2004

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

See Also:
  Serialized Form

Constructor Summary
`DIGErrorException(ArrayList errorList)`

Method Summary
`DIGError` | `getDIGError(int index)` Gets the `DIGError` object associated with this exception.
`int` | `getErrorCode(int index)` Gets the exception code associated with this DIGErrorException
`Collection` | `getErrors()`
`String` | `getMessage(int index)` Gets the exception message of the specified exception.
`int` | `getNumberOfErrors()` Gets the number of DIGErrors

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DIGErrorException

    public DIGErrorException(ArrayList errorList)

Method Detail

### getErrorCode

    public int getErrorCode(int index)

  Gets the exception code associated with this DIGErrorException

  Returns:
    An integer exception code.

### getMessage

    public String getMessage(int index)

  Gets the exception message of the specified exception.

  Parameters:
    `index` - The index of the exception
  Returns:
    The exception message

### getDIGError

    public DIGError getDIGError(int index)

  Gets the `DIGError` object associated with this exception.

### getNumberOfErrors

    public int getNumberOfErrors()

  Gets the number of DIGErrors

### getErrors

    public Collection getErrors()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.